IP(8)

NUME
 ip - afișează / manipulează direcționarea, dispozitivele de rețea, interfețele și tunelurile

SINOPSIS

ip [ OPȚIUNI ] OBIECT { COMANDA | help }

ip [ -force ] -batch nume-fișier

OBIECT := { address | addrlabel | fou | help | ila | ioam | l2tp | link | macsec | maddress | monitor | mptcp | mroute | mrule | neighbor | neighbour | netconf | netns | nexthop | ntable | ntbl | route | rule | sr | tap | tcpmetrics | token | tunnel | tuntap | vrf | xfrm }

OPIUNI := { -V[ersion] | -h[uman-readable] | -s[tatistics] | -d[etails] | -r[esolve] | -iec | -f[amily] { inet | inet6 | link } | -4 | -6 | -B | -0 | -l[oops] { maximum-addr-flush-attempts } | -o[neline] | -rc[vbuf] [size] | -t[imestamp] | -ts[hort] | -n[etns] name | -N[umeric] | -a[ll] | -c[olor] | -br[ief] | -j[son] | -p[retty] }

OPȚIUNI

-V, -Version
    Afișează versiunea programului utilitar ip și iese.

-h, -human, -human-readable
    statistici de ieșire cu valori ușor de citit de către om, urmate de sufix.

-b, -batch <NUME_FIȘIER>
    Citește comenzile din fișierul furnizat sau din intrarea standard și le invocă. Primul eșec va duce la terminarea ip.

-force
    Nu termină ip la erori în modul lot de comenzi. Dacă au existat erori în timpul executării comenzilor, codul de răspuns al aplicației va fi diferit de zero.

-s, -stats, -statistics
    Emite mai multe informații. Dacă opțiunea apare de două ori sau mai mult, cantitatea de informații crește. De regulă, informațiile sunt statistici sau unele valori cronologice.

-d, -details
    Afișează informații mai detaliate.

-l, -loops <NUMĂgt
    Specifică numărul maxim de bucle pe care logica „ip address flush” le va încerca înainte de a renunța. Valoarea implicită este 10. Zero (0) înseamnă buclă până când toate adresele sunt eliminate.

-f, -family <FAMILIA>
    Specifică familia de protocol care urmează să fie utilizată. Identificatorul familiei de protocol poate fi unul dintre inet, inet6, bridge, mpls sau link. Dacă această opțiune nu este prezentă, familia de protocol este ghicită din alte argumente. Dacă restul liniei de comandă nu oferă suficiente informații pentru a ghici familia, ip revine la cea implicită, de obicei inet sau any. link este un identificator de familie special, ceea ce înseamnă că nu este implicat niciun protocol de rețea.

-4  scurtătură pentru -family inet.

-6  scurtătură pentru -family inet6.

-B  scurtătură pentru -family bridge.

-M  scurtătură pentru -family mpls.

-0  scurtătură pentru -family link.

-o, -oneline
    emite fiecare înregistrare pe o singură linie, înlocuind salturile de linie cu caracterul „\”. Acest lucru este convenabil atunci când doriți să numărați înregistrările cu wc(1) sau să găsiți cu grep(1) rezultatul.

-r, -resolve
    utilizează rezolvatorul de nume al sistemului pentru a afișa nume DNS în loc de adrese de gazdă.

-n, -netns <NETNS>
    trece ip în spațiul de nume de rețea specificat NETNS. De fapt, aceasta simplifică doar execuția de:

    ip netns exec NETNS ip [ OPȚIUNI ] OBIECT { COMANDA | help }

    la

    ip -n[etns] NETNS [ OPȚIUNI ] OBIECT { COMANDA | help }

-N, -Numeric
    Afișează direct numărul protocolului, domeniul de aplicare, câmpul ds, etc. în loc să îl convertească în nume ușor de citit de către om.

-a, -all
    execută comanda specificată asupra tuturor obiectelor, aceasta depinde dacă comanda acceptă această opțiune.

-c[color][={always|auto|never}
    Configurează ieșirea color. Dacă parametrul este omis sau always, ieșirea color este activată indiferent de starea ieșirii standard. Dacă parametrul este auto, se verifică dacă ieșirea standard este un terminal înainte de a activa ieșirea color. Dacă parametrul este never, ieșirea color este dezactivată. Dacă este specificat de mai multe ori, ultimul are întâietate. Acest indicator este ignorat dacă se indică și -json.

    Paleta de culori utilizată poate fi influențată de variabila de mediu COLORFGBG ( a se vedea secțiunea MEDIU).

-t, -timestamp
    afișează ora curentă atunci când se utilizează opțiunea monitor.

-ts, -tshort
    Precum -timestamp, dar utilizează un format mai scurt.

-rc, -rcvbuf<DIMENSIUNE>
    Stabilește dimensiunea memoriei tampon de primire a soclului netlink, valoarea implicită este 1Mo.

-iec
    afișează rate ușor de citit de către om în unități IEC (de exemplu, 1Ki = 1024).

-br, -brief
    Afișează numai informațiile de bază într-un format tabelar pentru o mai bună lizibilitate. Această opțiune este acceptată în prezent numai de comenzile ip addr show , ip link show & ip neigh show .

-j, -json
    Output results in JavaScript Object Notation (JSON).

-p, -pretty
    Formatul JSON implicit este compact și mai eficient de analizat, dar greu de citit pentru majoritatea utilizatorilor. Această opțiune adaugă indentare pentru lizibilitate.

-echo
    Solicită nucleului să trimită înapoi configurația aplicată.

IP - SINTAXA COMENZII

  OBIECT

address
    - adresa protocolului (IP sau IPv6) pe un dispozitiv.

addrlabel
    - configurarea etichetei pentru selectarea adresei de protocol.

fou - configurarea portului de recepție Foo-asupra-UDP (Foo-over-UDP).

ila - gestionează adresele identificatorului de localizare (ILA).

ioam
    - gestionarea spațiilor de nume IOAM și a schemelor IOAM.

l2tp
    - tunel ethernet peste IP (L2TPv3).

link
    - dispozitiv de rețea.

macsec
    - configurarea dispozitivului MACsec.

maddress
    - adresă de difuzare multiplă (către mai multe mașini) „multicast”

monitor
    - urmărește mesajele netlink.

mptcp
    - gestionează gestionarul de rute MPTCP.

mroute
    - intrare cache de direcționare „multicast”.

mrule
    - regulă în baza de date a politicii de direcționare „multicast”.

neighbour
    - gestionează intrările din memoria cache ARP sau NDISC.

netconf
    - monitorizarea configurației rețelei.

netns
    - manage network namespaces.

nexthop
    - gestionarea obiectelor nexthop.

ntable
    - gestionează funcționarea memoriei cache a vecinilor.

route
    - intrare în tabelul de rute.

rule
    - regulă în baza de date a politicii de direcționare.

sr  - gestionează direcționarea segmentului IPv6.

stats
    - gestionează și afișează statisticile interfeței.

tcp_metrics/tcpmetrics
    - gestionarea metricilor TCP

token
    - gestionează identificatorii simbolici de interfață.

tunnel
    - tunel peste IP.

tuntap
    - gestionarea dispozitivelor TUN/TAP.

vrf - gestionarea dispozitivelor virtuale de direcționare și redirecționare.

xfrm
    - gestionarea politicilor IPSec.

Numele tuturor obiectelor pot fi scrise în formă completă sau prescurtată, de exemplu adress poate fi prescurtată ca addr sau doar a.

  COMANDA

Specifică acțiunea care trebuie efectuată asupra obiectului. Setul de acțiuni posibile depinde de tipul de obiect. De regulă, este posibil să add, delete și show (sau list ) obiecte, dar unele obiecte nu permit toate aceste operații sau au unele comenzi suplimentare. Comanda help este disponibilă pentru toate obiectele. Aceasta afișează o listă a comenzilor disponibile și a convențiilor privind sintaxa argumentelor.

Dacă nu este dată nicio comandă, se presupune o comandă implicită. De obicei, aceasta este list sau, dacă obiectele din această clasă nu pot fi listate, help.

MEDIU

COLORFGBG
    Dacă este definită, valoarea sa este utilizată pentru a detecta dacă fundalul este întunecat sau luminos și pentru a utiliza culori de contrast pentru acesta.

    Variabila de mediu COLORFGBG conține de obicei două sau trei valori separate prin punct și virgulă; dorim ultima valoare în ambele cazuri. Dacă această valoare este 0-6 sau 8, se aleg culori potrivite pentru un fundal închis:

    COLORFGBG=";0" ip -c a

STARE DE IEȘIRE
Starea de ieșire este 0 dacă comanda a reușit și 1 dacă există o eroare de sintaxă. Dacă nucleul a raportat o eroare, starea de ieșire este 2.

EXEMPLE

ip addr
    Afișează adresele atribuite tuturor interfețelor de rețea.

ip neigh
    Afișează tabelul de vecini curent din nucleu.

ip link set x up
    Ridică (activează) interfața x.

ip link set x down
    Dezactivează interfața x.

ip route
    Afișează tabelul de rute.Afișează rutele din tabel.

ISTORIC
ip a fost scris de Alexey N. Kuznetsov și adăugat în Linux 2.2.

CONSULTAȚI ȘI
ip-address(8), ip-addrlabel(8), ip-fou(8), ip-ioam(8), ip-l2tp(8), ip-link(8), ip-macsec(8), ip-maddress(8), ip-monitor(8), ip-mptcp(8), ip-mroute(8), ip-neighbour(8), ip-netconf(8), ip-netns(8), ip-nexthop(8), ip-ntable(8), ip-route(8), ip-rule(8), ip-sr(8), ip-stats(8), ip-tcp_metrics(8), ip-token(8), ip-tunnel(8), ip-vrf(8), ip-xfrm(8)
Referința comenzii IP ip-cref.ps

RAPORTAREA ERORILOR
Raportați orice erori la lista de discuții Network Developers <netdev@vger.kernel.org>, unde se realizează în principal dezvoltarea și întreținerea. Nu trebuie să fiți abonat la listă pentru a trimite un mesaj acolo.

AUTOR
Pagina de manual originală de Michail Litvak <mci@owl.openwall.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.